package net.knarcraft.serverlauncher.userinterface;

import javax.swing.JFrame;
import javax.swing.JTabbedPane;
import java.awt.BorderLayout;

public class ServerConsoles {

    private static ServerConsoles serverConsoles;
    private JFrame frame;
    private JTabbedPane consolesTab;

    public ServerConsoles() {
        frame = new JFrame();
        frame.setBounds(100, 100, 450, 300);
        frame.setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);

        consolesTab = new JTabbedPane(JTabbedPane.TOP);
        frame.getContentPane().add(consolesTab, BorderLayout.CENTER);
        serverConsoles = this;
        frame.setVisible(true);
    }

    public static ServerConsoles getGUI() {
        return serverConsoles;
    }

    public void show() {
        frame.setVisible(true);
    }

    public void addTab(String name) {
        new Console(consolesTab, name);
    }

}