package net.knarcraft.serverlauncher.userinterface;

import javax.swing.*;
import java.awt.*;

class Console {
    private JTextField textInput;
    private JTextArea textOutput;

    void output(String text) {
        this.textOutput.setText(text);
    }

    Console(JTabbedPane tab, String name) {
        JPanel panel = new JPanel();
        tab.addTab(name, null, panel, null);
        panel.setLayout(new BorderLayout(0, 0));

        textInput = new JTextField();
        panel.add(textInput, BorderLayout.SOUTH);
        textInput.setColumns(10);

        textOutput = new JTextArea();
        JScrollPane scroll = new JScrollPane(textOutput);
        panel.add(scroll, BorderLayout.CENTER);
        textOutput.setEditable(false);
    }
}
